import 'package:flutter/material.dart';

void sdsButtonPress(
  VoidCallback? onPressed,
  DateTime? _dateTime,
  int oldFunc,
) {
  DateTime now = DateTime.now();
  if (_dateTime == null ||
      now.difference(_dateTime) > const Duration(seconds: 1) ||
      onPressed.hashCode != oldFunc) {
    _dateTime = now;
    oldFunc = onPressed.hashCode;
    onPressed?.call();
  }
}

DateTime? _currentBackPressTime;
Future<bool> sdsExitApp(VoidCallback waringExitApp) {
  DateTime now = DateTime.now();
  if (_currentBackPressTime == null ||
      now.difference(_currentBackPressTime ?? DateTime.now()) >
          const Duration(seconds: 2)) {
    _currentBackPressTime = now;
    waringExitApp();
    return Future.value(false);
  }
  return Future.value(true);
}
